org.apache.sysds.runtime.iogen

## Class FastStringTokenizer

- java.lang.Object
- - org.apache.sysds.runtime.iogen.FastStringTokenizer

All Implemented Interfaces:
  Serializable

    public class FastStringTokenizer
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FastStringTokenizer(String delimiter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIndex()`
`double` `nextDouble()`
`int` `nextInt()`
`long` `nextLong()`
`String` `nextToken()`
`void` `reset(String string)`
`void` `setNaStrings(HashSet<String> naStrings)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastStringTokenizer

    public FastStringTokenizer(String delimiter)

### Method Detail

#### reset

    public void reset(String string)

#### nextToken

    public String nextToken()

#### nextInt

    public int nextInt()

#### nextLong

    public long nextLong()

#### nextDouble

    public double nextDouble()

#### getIndex

    public int getIndex()

#### setNaStrings

    public void setNaStrings(HashSet<String> naStrings)